
/**
 * Annotator.java
 *
 * This class implements an object that defines an Annotator - 
 * a person that does annotation.  The Annotator contains (at least)
 * an ID for this Annotator, and the name of the Annotator.  We might
 * add more information later.  
 *
 * Created: Thu Mar 09 00:32:19 2000
 *
 * @author David Evans
 * @version 0.1 alpha
 */

/* 
   GMAO - Image Annotation for Manga Translation
   Copyright (C) 2000  David Kirk Evans
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   David Kirk Evans (devans@cs.columbia.edu)
   http://www.cs.columbia.edu/~devans/   
*/

import java.io.Serializable;

public class Annotator implements Serializable {
    String name;
    String id;
    String password;

    public Annotator(String ID, String Name) {
	name = Name;
	id = ID;	
	password = "";
    }
    
    public Annotator(String ID, String Name, String Pass) {
	name = Name;
	id = ID;
	password = Pass;
    }
    
    public String getID() {
	return id;
    }
    
    public String getName() {
	return name;
    }

    public String getPassword() {
	return password;
    }
} // Annotator
