
/**
 * GMAOAboutBox.java
 *
 *  A simple about box for GMAO.  
 *  When the user clicks the "close" button, make us
 *  go away.  
 * 
 *  Otherwise, show a GMAOCreditsBox, and scroll it.  
 *
 * Created: Fri Aug 04 17:29:35 2000
 *
 * @author David Evans
 * @version
 */

/* 
   GMAO - Image Annotation for Manga Translation
   Copyright (C) 2000  David Kirk Evans
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   David Kirk Evans (devans@cs.columbia.edu)
   http://www.cs.columbia.edu/~devans/   
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class GMAOAboutBox extends JFrame {
    GMAOCreditsBox cbox;
    
    public GMAOAboutBox() {
	// Make a new GMAOCreditsBox
	cbox = new GMAOCreditsBox();
	// Make us a border layout
	getContentPane().setLayout(new BorderLayout());
	// Add a button to the south for "Close"ing
	JButton close = new JButton("Close");
	close.addActionListener( new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		cbox.setScroll(false);
		hide();
	    }
	});
	// Add close button to south
	getContentPane().add(close, BorderLayout.SOUTH);
	setTitle("GMAO Credits...");
	// Add cbox to the north
	getContentPane().add(cbox, BorderLayout.NORTH);
	// Pack our components
	pack();
	hide(); // Do not want to be initially visible.
    }
    
} // GMAOAboutBox
