
/**
 * PercentDocument.java
 *
 *  This is a document model that will only let people type in 
 *  an integer percent value, optionally with a % after it, but
 *  guarenteed to have a % sign when we are done with it.
 *
 * Created: Wed Jul 19 11:23:13 2000
 *
 * @author David Evans
 * @version
 */


/* 
   GMAO - Image Annotation for Manga Translation
   Copyright (C) 2000  David Kirk Evans
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   David Kirk Evans (devans@cs.columbia.edu)
   http://www.cs.columbia.edu/~devans/   
*/

import javax.swing.text.*;

public class PercentDocument extends PlainDocument {
    
    public PercentDocument() {
	super();
    }
    
    public void insertString(int offs, String str, AttributeSet a) 
	throws BadLocationException {
	
	if (str.equals("Fit Window")) {
	    // We will accept a "Fit Window" string also
	    super.insertString(offs, str, a);
	} else {
	    // Only insert chars if they are numbers
	    String good = "";
	    for (int i=0; i<str.length(); i++) {
		if (Character.isDigit(str.charAt(i))) {
		    good += str.charAt(i);
		}
	    }
	    //  Put the good numbers into the text field
	    super.insertString(offs, good, a);
	}
    }

} // PercentDocument
