
/**
 * TextCompletionField.java
 *
 *
 * Created: Sun Jul 09 23:56:52 2000
 *
 * @author David Evans
 * @version
 */

/* 
   GMAO - Image Annotation for Manga Translation
   Copyright (C) 2000  David Kirk Evans
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   David Kirk Evans (devans@cs.columbia.edu)
   http://www.cs.columbia.edu/~devans/   
*/

import javax.swing.text.*;
import javax.swing.event.*;
import javax.swing.JTextField;

public class TextCompletionField extends JTextField implements javax.swing.event.DocumentListener {
    
    public TextCompletionField() {
	super();
    }
    
    //  Use a TextCompletionDocument so we get text completion
    protected Document createDefaultModel() {
	return new TextCompletionDocument();
    }    

    //  We also want to listen to changes so that when the text is
    //  completed we can set the selection up accordingly.
    public void insertUpdate(DocumentEvent e) {
        // Something was inserted.  We have to set the selection to match.
	// Select from the start of the change to the end of the change
	// int off = e.getOffset();
	// int len = e.getLength();
	/**
	 * Bug here: when we do the below, we lose focus, can't get i
	 * back, and it sucks sucks suck.
	 */
	// Set caret to the end of the change
	// super.setCaretPosition(len+off);
	// Drag it back to where the change started.  Makes the selection.
	// super.moveCaretPosition(off);
	// Seems that we lose focus when we do the above.  Ask for it back.
	// super.requestFocus();
	// super.grabFocus();
    }
    public void removeUpdate(DocumentEvent e) {
        // Something was removed.  We don't care.  
    }
    public void changedUpdate(DocumentEvent e) {
        //Plain text components don't fire these events
    }

} // TextCompletionField
