
/**
 * XMLFileFilter.java
 *
 *
 * Created: Sat Jul 08 15:12:40 2000
 *
 *  A simple class that will accept file names that end in .xml
 *  Told you it was simple. 
 * 
 * @author David Evans
 * @version
 */

/* 
   GMAO - Image Annotation for Manga Translation
   Copyright (C) 2000  David Kirk Evans
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   David Kirk Evans (devans@cs.columbia.edu)
   http://www.cs.columbia.edu/~devans/   
*/

import java.io.File;

public class XMLFileFilter extends javax.swing.filechooser.FileFilter implements java.io.FileFilter, java.io.FilenameFilter {
    
    public XMLFileFilter() {
	//  Nothing to do.  Really simple.  
    }

    public boolean accept(File file) {
	//  Accept all dirs as well. 
	//  If the filename ends in .xml, then we will accept it.
	//  Otherwise, we will not. 
	if (file.isDirectory()) {
	    return true;
	}
	String name = file.getName();
	//  Check what the extension is
	//  Reject if no extension
	if (name.lastIndexOf(".") == -1) {
	    return false;
	}
	String ext = name.substring(name.lastIndexOf("."));
	ext = ext.toLowerCase();
	if (ext.equals(".xml")) {
	    return true;
	} 
	return false;
    }
    
    public boolean accept(File dir, String name) {
	//  If the filename ends in .xml, then we will accept it.
	//  Otherwise, we will not. 
	//  Check what the extension is
	//  Reject if no extension
	if (name.lastIndexOf(".") == -1) {
	    return false;
	}
	String ext = name.substring(name.lastIndexOf("."));
	ext = ext.toLowerCase();
	if (ext.equals(".xml")) {
	    return true;
	} 
	return false;
    }

    public String getDescription() {
	return "XML Files";
    }

} // XMLFileFilter
